﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ScratchPad
{
    class AnonymousTypes
    {
        static void Main()
        {
            var foo = new
            {
                Name = "Jon", 
                Location = "Copenhagen",
            };
            // Anonymous types override ToString (and Equals, and GetHashCode) pleasantly
            Console.WriteLine(foo);
            // Still statically typed! Just because the compiler's generated the
            // type for us doesn't mean it isn't a real type. Intellisense still works, etc.
            Console.WriteLine(foo.Name);
        }
    }
}
