﻿using System;

namespace Eek
{
    class DifferentNamespace
    {
        static void Main()
        {
            // This is to show that the anonymous type used here is
            // the same as the one in AnonymousTypes.cs, just with different
            // type arguments
            var x = new { Name = 35m, Location = Guid.NewGuid() };
            var xType = x.GetType().GetGenericTypeDefinition();
            var y = new { Name = "jon", Location = "Copenhagen" };
            var yType = y.GetType().GetGenericTypeDefinition();
            Console.WriteLine(xType == yType);
        }
    }
}
