﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using Google.ProtocolBuffers;
using Logging.Properties;

namespace Logging
{
    public class DisplayLogs
    {
        public static void Main()
        {
            string dir = Settings.Default.LogDirectory;
            var query = from file in Directory.GetFiles(dir, "*.log")
                        from entry in MessageStreamIterator<LogEntry>.FromFile(Path.Combine(dir, file))
                        select entry;

            foreach (var entry in query)
            {
                Console.WriteLine(entry.ToLogLine());
            }
        }
    }
}
