﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

namespace ScratchPad
{
    class AnonymousMethods
    {
        public EventHandler Click = delegate { };

        static void Main()
        {
            for (int i = 0; i < 10; i++)
            {
                // This is fine - but if we capture i, bad stuff happens
                // - all threads would share the same captured variable
                int j = i;
                ThreadStart ts = delegate { Console.WriteLine(j); };
                // Sneak peek
                // ThreadStart ts = () => Console.WriteLine(j);
                new Thread(ts).Start();
            }            
        }
    }
}
