﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ScratchPad
{
    class CollectionInitializers
    {
        static void Main()
        {
            // The compiler just calls Add(string, int) on the dictionary.
            // It can use different overloads for Add for different elements.
            // The only requirements are valid Add methods, and that
            // the collection implements IEnumerable.
            var ages = new Dictionary<string, int>
            {
                { "Jon", 32 },
                { "Tom", 4 },
            };
        }
    }
}
