﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ScratchPad
{
    class HumanLinq
    {
        static void Main()
        {
            string[] words = { "LINQ", "to", "Objects", "Rocks!" };

            
            var query = from word in words
                        let foo = word.Length
                        where foo > 3
                        orderby word 
                        select word.ToUpper() + foo;
            /*
            var query = words.Select(word => new { word = word, foo = word.Length })
                             .Where(transparent => transparent.foo > 3)
                             .OrderBy(transparent => transparent.word)
                             .Select(transparent => transparent.word.ToUpper() + transparent.foo);

              */  


            /*
            var query = words.Where(word => word.Length > 3)
                             .OrderBy(word => word)
                             .Select(word => word.ToUpper());
            */
            foreach (string word in query)
            {
                Console.WriteLine(word);
            }
        }
    }
}
