﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;

namespace ScratchPad
{
    class LambdaExpressions
    {
        static void Main()
        {
            Func<string, int> anonMethod =
                delegate(string x) { return x.Length; };

            Func<string, int> fullLambda =
                (string x) => { return x.Length; };

            Func<string, int> noBraces = 
                (string x) => x.Length;

            Action<int> voidMethod =
                (int y) => Console.WriteLine(y);

            Func<string, int> implicitType =
                (x) => x.Length;

            Func<string, int> reallyShort = x => x.Length;

            Expression<Func<string, int>> tree = x => x.Length;
        }
    }
}
